Gnuplot4.0.0インストールメモ 2005/07/06 mkanzaki

  • zlibとかが必要なのでGhostscriptの後にインストールする?
  • そもそもGhostscriptのmakeの時にzlib, libpng, jpeg自体をmakeしてなかったのがpathが通らない理由らしい.libpngはconfigureが無かったのでconfigure付きのものを別途ダウンロードした.基本的にconfigure, make, make installだけ.これでgnuplotで再度configureするとpng関係がだめ.libpng/libpng-config等が実行可能になってないためらしい.実行可能にして再度configureすると今度はpng関係がyesとなった.とりあえずpngが使えればこのインストールではいいので,makeするとwarningがでる.makeinfoと変数の型のようだ.致命的ではない.make install.同じくmakeinfoでwarning.
  • 現在のバージョンでpngを使うためにgdが必要かどうかよくわからないが,一応http://www.boutell.com/gd/からver.2.0.33をダウンロード.configureで問題?
  • 直接関係ないがreadlineをインストールする.特に問題ないと思うが,install: you may need to run ldconfig と出る.

トップ   編集 凍結解除 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2018-01-15 (月) 10:56:15 (463d)